Bug 167800 - CRM648268: kernel reporting init process cutime as very large negative value
CRM648268: kernel reporting init process cutime as very large negative value
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Staubach
Brian Brock
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-09-08 08:30 EDT by Issue Tracker
Modified: 2010-10-21 23:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:31:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of cat /proc/1/stat (256 bytes, text/plain)
2005-09-08 08:34 EDT, Jatin Nansi
no flags Details
Proposed patch (600 bytes, patch)
2005-09-08 08:34 EDT, Jatin Nansi
no flags Details | Diff
Proposed patch (612 bytes, patch)
2005-10-07 13:21 EDT, Peter Staubach
no flags Details | Diff

  None (edit)
Description Issue Tracker 2005-09-08 08:30:00 EDT
Escalated to Bugzilla from IssueTracker
Comment 8 Jatin Nansi 2005-09-08 08:34:18 EDT
Created attachment 118590 [details]
output of cat /proc/1/stat
Comment 9 Jatin Nansi 2005-09-08 08:34:48 EDT
Created attachment 118591 [details]
Proposed patch
Comment 10 Peter Staubach 2005-10-07 13:21:19 EDT
Created attachment 119715 [details]
Proposed patch
Comment 11 Peter Staubach 2005-10-07 13:26:25 EDT
The problem appears to be pretty much as described.  The kernel accumulates
the user and system times in the cutime and cstime elements of the task_struct.

The proc file system prints these elements after converting them to "clock"
ticks.  These ticks are currently defined to be 100 per second.  The problem
was that although the original values are unsigned long entities, the converted
values were being printed as signed long entities.

Interestingly, the other "clock" tick entities were being printed as unsigned
long entities already.
Comment 13 Ernie Petrides 2005-10-20 01:40:55 EDT
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.6.EL).
Comment 14 Karel Zak 2005-11-02 15:25:02 EST
Note that procps update has been rejected from RHEL3-U7 (see bug #167802).
Comment 17 Red Hat Bugzilla 2006-03-15 11:31:42 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.